Main Page Widgets Namespaces Book

# calendar.h File Reference

## Namespaces

namespace | Glib
namespace | Gtk

## Classes

class | Gtk::Calendar
| Display a calendar and/or allow the user to select a date. More...

## Enumerations

enum | Gtk::CalendarDisplayOptions { Gtk::CALENDAR_SHOW_HEADING = 1 << 0, Gtk::CALENDAR_SHOW_DAY_NAMES = 1 << 1, Gtk::CALENDAR_NO_MONTH_CHANGE = 1 << 2, Gtk::CALENDAR_SHOW_WEEK_NUMBERS = 1 << 3, Gtk::CALENDAR_WEEK_START_MONDAY = 1 << 4 }

## Functions

CalendarDisplayOptions | Gtk::operator& (CalendarDisplayOptions lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions& | Gtk::operator&= (CalendarDisplayOptions& lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions | Gtk::operator^ (CalendarDisplayOptions lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions& | Gtk::operator^= (CalendarDisplayOptions& lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions | Gtk::operator| (CalendarDisplayOptions lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions& | Gtk::operator|= (CalendarDisplayOptions& lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions | Gtk::operator~ (CalendarDisplayOptions flags)